You are viewing a plain text version of this content. The canonical link for it is here.
Posted to hcatalog-commits@incubator.apache.org by ga...@apache.org on 2012/03/14 23:32:08 UTC

svn commit: r1300787 - in /incubator/hcatalog/branches/branch-0.4: CHANGES.txt bin/hcat

Author: gates
Date: Wed Mar 14 23:32:08 2012
New Revision: 1300787

URL: http://svn.apache.org/viewvc?rev=1300787&view=rev
Log:
HCATALOG-305 hcat shell is not properly picking up the hcat jar

Modified:
    incubator/hcatalog/branches/branch-0.4/CHANGES.txt
    incubator/hcatalog/branches/branch-0.4/bin/hcat

Modified: incubator/hcatalog/branches/branch-0.4/CHANGES.txt
URL: http://svn.apache.org/viewvc/incubator/hcatalog/branches/branch-0.4/CHANGES.txt?rev=1300787&r1=1300786&r2=1300787&view=diff
==============================================================================
--- incubator/hcatalog/branches/branch-0.4/CHANGES.txt (original)
+++ incubator/hcatalog/branches/branch-0.4/CHANGES.txt Wed Mar 14 23:32:08 2012
@@ -70,6 +70,8 @@ Release 0.4.0 - Unreleased
   OPTIMIZATIONS
 
   BUG FIXES
+  HCAT-305 hcat shell is not properly picking up the hcat jar (gates)
+
   HCAT-307 NOTICE and LICENSE file need updated to add new jars and move copyright date to 2012 (gates)
 
   HCAT-300 A number of files lack Apache license headers (gates)

Modified: incubator/hcatalog/branches/branch-0.4/bin/hcat
URL: http://svn.apache.org/viewvc/incubator/hcatalog/branches/branch-0.4/bin/hcat?rev=1300787&r1=1300786&r2=1300787&view=diff
==============================================================================
--- incubator/hcatalog/branches/branch-0.4/bin/hcat (original)
+++ incubator/hcatalog/branches/branch-0.4/bin/hcat Wed Mar 14 23:32:08 2012
@@ -59,7 +59,11 @@ done
 
 # Find our hcatalog jar
 shopt -s extglob
-HCAT_JAR=$HCAT_PREFIX/share/hcatalog/hcatalog-!(*server-extensions*).jar
+if (( `ls -1 $HCAT_PREFIX/share/hcatalog/hcatalog-[0-9]*.jar | wc -l` > 1 )) ; then
+    echo "Error:  found more than one hcatalog jar in $HCAT_PREFIX/share/hcatalog"
+    exit 1
+fi
+HCAT_JAR=`ls $HCAT_PREFIX/share/hcatalog/hcatalog-[0-9]*.jar`
 
 # Add all of the other jars to our classpath
 for jar in $HCAT_PREFIX/share/hcatalog/lib/*.jar ; do